// JavaScript Document
function check_confirm()
{
	return confirm("Are you sure?");
}

// JQuery functions
$(document).ready(function()
{

  // Force numeric input
  jQuery('.numeric').keyup(function (){ 
    this.value = this.value.replace(/[^0-9\.]/g,'');
  });
  
  
  // Preview the swf files
  $('a[name=swfpreview]').click(function(e) {
	e.preventDefault();
	var file = $(this).attr('href');
	var swfWidth = $(this).attr('targetwidth');
	var swfHeight = $(this).attr('targetheight');
		
	// Check if the preview layer exists
	if ( $("#preview").length == 0)
	{
		
		$("body").append('<div id="preview"><div id="dialog" class="window"><div id="swfpreview"></div></div><div id="mask"></div></div>');
	}
	
	var id = $('#dialog');
	
	//if mask is clicked
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});	
	
	// When browser window is resized
	$(window).resize(function () {
	 
 		var box = $('#preview .window');
        var maskHeight = $(document).height();
        var maskWidth = $(window).width();
        $('#mask').css( {'width':maskWidth, 'height':maskHeight} );
        var winH = $(window).height();
        var winW = $(window).width();
        box.css( 'top',  winH/2 - box.height() / 2 );
        box.css( 'left', winW/2 - box.width() / 2 );	
	});
	
	// Set the default position
	$(id).css('width', swfWidth );
	$(id).css('height', swfHeight );
	var maskHeight = $(document).height();
	var maskWidth = $(window).width();
	$('#mask').css({'width':maskWidth,'height':maskHeight});
	$('#mask').fadeIn(1000);	
	$('#mask').fadeTo( "slow" , 0.5 );	
	var winH = $(window).height();
	var winW = $(window).width();
   	$(id).css('top',  winH/2-$(id).height()/2);
	$(id).css('left', winW/2-$(id).width()/2);
	$(id).fadeIn(2000); 
	
	// Embed the SWF file
	swfobject.embedSWF( file , "swfpreview", swfWidth , swfHeight, "9");
  });
  
  // Preview the swf files
  $('a[name=mp3preview]').click(function(e) {
	e.preventDefault();
	var file = $(this).attr('href');
		
	// Check if the preview layer exists
	if ( $("#preview").length == 0)
	{
		
		$("body").append('<div id="preview"><div id="dialog" class="window"><div id="swfpreview"></div></div><div id="mask"></div></div>');
	}
	
	var id = $('#dialog');
	
	//if mask is clicked
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});	
	
	// When browser window is resized
	$(window).resize(function () {
	 
 		var box = $('#preview .window');
        var maskHeight = $(document).height();
        var maskWidth = $(window).width();
        $('#mask').css( {'width':maskWidth, 'height':maskHeight} );
        var winH = $(window).height();
        var winW = $(window).width();
        box.css( 'top',  winH/2 - box.height() / 2 );
        box.css( 'left', winW/2 - box.width() / 2 );	
	});
	
	// Set the default position
	$(id).css('width', 80 );
	$(id).css('height', 30 );
	var maskHeight = $(document).height();
	var maskWidth = $(window).width();
	$('#mask').css({'width':maskWidth,'height':maskHeight});
	$('#mask').fadeIn(1000);	
	$('#mask').fadeTo( "slow" , 0.5 );	
	var winH = $(window).height();
	var winW = $(window).width();
   	$(id).css('top',  winH/2-$(id).height()/2);
	$(id).css('left', winW/2-$(id).width()/2);
	$(id).fadeIn(2000); 
	var flashvars = {  movie: "../swf/mp3player.swf" , filename: file , AutoPlay :"Y"};

	// Embed the SWF file
	swfobject.embedSWF( "../swf/mp3player.swf" , "swfpreview", 80 , 30, "9" , '../swf/expressInstall.swf', flashvars);
  });
  
  // Preview the swf files
  $('a[name=mediapreview]').click(function(e) {
	e.preventDefault();
	var file = $(this).attr('href');
		
	// Check if the preview layer exists
	if ( $("#preview").length == 0)
	{
		
		$("body").append('<div id="preview"><div id="dialog" class="window"><div id="mediapreview"></div></div><div id="mask"></div></div>');
	}
	
	var id = $('#dialog');
	
	//if mask is clicked
	$('#mask').click(function () {
		$(this).hide();
		$('.window').hide();
	});	
	
	// When browser window is resized
	$(window).resize(function () {
	 
 		var box = $('#preview .window');
        var maskHeight = $(document).height();
        var maskWidth = $(window).width();
        $('#mask').css( {'width':maskWidth, 'height':maskHeight} );
        var winH = $(window).height();
        var winW = $(window).width();
        box.css( 'top',  winH/2 - box.height() / 2 );
        box.css( 'left', winW/2 - box.width() / 2 );	
	});
	
	// Set the default position
	$(id).css('width', 80 );
	$(id).css('height', 30 );
	var maskHeight = $(document).height();
	var maskWidth = $(window).width();
	$('#mask').css({'width':maskWidth,'height':maskHeight});
	$('#mask').fadeIn(1000);	
	$('#mask').fadeTo( "slow" , 0.5 );	
	var winH = $(window).height();
	var winW = $(window).width();
   	$(id).css('top',  winH/2-$(id).height()/2);
	$(id).css('left', winW/2-$(id).width()/2);
	$(id).fadeIn(2000); 
	var flashvars = {  movie: "../swf/mediaplayer.swf" , playlist: "../scripts/getplaylist.php", config: "../scripts/mediaconfig.php"};

	// Embed the SWF file
	swfobject.embedSWF( "../swf/mediaplayer.swf" , "mediapreview", 240 , 145, "9" , '../swf/expressInstall.swf', flashvars);
  });
  
  // select all checkboxes
  $('.checkall').click(function () {
    $('.checkable').attr('checked', this.checked);
  });
  
});


